| Home | Libraries | People | FAQ | More

## BoostBook element `library`

library — Top-level element for a library

## Synopsis

library ::= (libraryinfo, (title, ((section| library-reference| testsuite))+)?)

## Attributes

Name | Type | Value | Purpose
--- | --- | --- | ---
last-revision | #IMPLIED | CDATA | Set to $Date: 2009-10-10 15:53:46 +0100 (Sat, 10 Oct 2009) $ to keep "last revised" information in sync with CVS changes
dirname | #REQUIRED | CDATA |
url | #IMPLIED | CDATA |
name | #REQUIRED | CDATA | The name of the element being declared to referenced
id | #IMPLIED | CDATA | A global identifier for this element
xml:base | #IMPLIED | CDATA | Implementation detail used by XIncludes
html-only | #IMPLIED | CDATA |